%global appname planner
%global uuid    com.github.alainm23.%{appname}

Name:           elementary-%{appname}
Version:        3.0.7
Release:        1%{?dist}

# Oops: https://github.com/alainm23/planner/releases/tag/6.2.3
Epoch:          1

Summary:        Task manager with Todoist support designed for GNU/Linux

License:        GPLv3+
URL:            https://github.com/alainm23/planner
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala >= 0.40.3

BuildRequires:  pkgconfig(gee-0.8) >= 0.8.5
BuildRequires:  pkgconfig(granite) >= 5.2.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.6.0
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(libecal-2.0)
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.8.0
BuildRequires:  pkgconfig(libhandy-1) >= 0.90.0
BuildRequires:  pkgconfig(libpeas-1.0)

Requires:       hicolor-icon-theme

%description
How Planner works:

1. Collect your Ideas - The Inbox is your default task list in Planner. When you
add a task, it goes straight to your Inbox unless you specify that the task goes
into a project.

2. Get Organized - Create a project for each of your goals, then add the steps
to reach them. Review these regularly to stay on top of things.

3. Calendar and Events - See your calendar events and plan your time
effectively. Planner will remind you on the right day.

4. Be even more organized - Add a duedate to your tasks, create labels, use
checklists.

Support for Todoist:

- Synchronize your Projects, Task and Sections thanks to Todoist.
- Support for Todoist offline: Work without an internet connection and when
  everything is reconnected it will be synchronized.

  * Planner not created by, affiliated with, or supported by Doist

Other features:

- Reminders notifications
- Quick Find
- Night mode


%prep
%autosetup -n %{appname}-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{uuid}

# Remove SVG icon dupes
rm -r   %{buildroot}%{_datadir}/icons/hicolor/*@2/      \
        %{buildroot}%{_datadir}/icons/hicolor/48x48/    \
        %{buildroot}%{_datadir}/icons/hicolor/64x64/


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{uuid}.lang
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/%{uuid}
%{_bindir}/%{uuid}.quick-add
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Fri Apr 22 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 1:3.0.7-1
- build(update): 3.0.7

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1:2.7-1
- build(update): 2.7

* Fri Feb 19 2021 Fabio Valentini <decathorpe@gmail.com> - 1:2.6.7-4
- Rebuilt for granite 6 soname bump.

* Fri Feb 12 2021 Kalev Lember <klember@redhat.com> - 1:2.6.7-3
- Rebuilt for evolution-data-server soname bump

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan  2 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1:2.6.7-1
- build(update): 2.6.7

* Sat Jan  2 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.6-1
- build(update): 2.6.6

* Tue Dec 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 6.2.3-1
- build(update): 6.2.3 | See: https://github.com/alainm23/planner/releases/tag/6.2.3

* Sat Dec 26 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.2-1
- build(update): 2.6.2

* Fri Dec 25 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.1-1
- build(update): 2.6.1

* Tue Oct 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.7-1
- build(update): 2.5.7

* Thu Oct 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.5-1
- build(update): 2.5.5

* Mon Oct 12 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.4-1
- build(update): 2.5.4

* Wed Oct  7 21:03:44 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.3-1
- build(update): 2.5.3

* Wed Oct  7 19:58:57 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.2-1
- build(update): 2.5.2

* Sat Oct  3 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.1-1
- Update to 2.5.1

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 13 2020 Kevin Fenzi <kevin@scrye.com> - 2.4.6-2
- Rebuild for new evolution-data-server

* Wed Jul 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.6-1
- Update 2.4.6

* Mon Jun 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.5-1
- Update 2.4.5

* Sun Jun 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.4-1
- Update 2.4.4

* Sun Jun 28 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.3-1
- Update 2.4.3

* Mon Jun 22 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.2-1
- Update 2.4.2

* Thu Apr 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.5-1
- Update 2.3.5

* Thu Apr 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.4-1
- Update 2.3.4

* Tue Apr 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.3-1
- Update 2.3.3

* Sun Apr 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.2-1
- Update 2.3.2

* Wed Apr 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.1-1
- Update 2.3.1

* Tue Apr 14 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.14-2
- Remove LTO

* Mon Mar 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.14-1
- Update to 2.2.14

* Fri Feb 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.1-2
- Initial package
